# create-svelte

Everything you need to build a [SvelteKit](https://kit.svelte.dev/) project, powered by [`create-svelte`](https://github.com/sveltejs/kit/tree/master/packages/create-svelte).

## Creating a project

If you're seeing this, you've probably already done this step. Congrats!

```bash
# Create a new project in the current directory
npm init svelte@next

# Create a new project in my-extension
npm init svelte@next my-extension
```

> NOTE: The `@next` is temporary.

## Developing

Once you've created a project and installed dependencies with `npm install` (or `pnpm install` or `yarn`), start a development server:

```bash
npm run dev:extension

# or start the server and open the app in a new browser tab
npm run dev:extension -- --open
```

## Building

To create a production version of your app:

```bash
npm run build
```

You can preview the production build with `npm run preview`.

> To deploy your app, you may need to install an [adapter](https://kit.svelte.dev/docs/adapters) for your target environment.
